# [midgard] Stockage

## Schéma de partitionnement cible
- **vda** (disque système cloud-init) 10G
    - vda14 (BIOS boot)
    - vda15 (EFI)
    - vda1 (partition racine /)

- **vdb** (disque secondaire LVM) 6G

### Schéma de partitionnement LVM
- **data** (LVM volume group) : **vdb**
    - **pgdata** (LVM logical volume) : 4G
    - **pglog** (LVM logical volume) : 1G
    - **backup** (LVM logical volume) : 1G


## Initialisation LVM pour le disque secondaire
Création du *physical volume* **vdb**

`sudo pvcreate /dev/vdb`

Création du *volume groupe* **data**

`sudo vgcreate data /dev/vdb`

Création des *logical volumes* **pgdata**, **pglog** et **backup**

`sudo lvcreate -L 4G -n pgdata data`

`sudo lvcreate -L 1G -n pglog data`

`sudo lvcreate -l+100%FREE -n backup data`

### Formatage et montage des volumes de données
Formatage les deux volumes en EXT4

`sudo mkfs.ext4 /dev/data/pgdata`

`sudo mkfs.ext4 /dev/data/pgdata`

`sudo mkfs.ext4 /dev/data/backup`

Création des répertoires `/data/pgdata`, `/data/pglog` et `/data/backup`

`sudo mkdir -p /data/pgdata /data/pglog /data/backup`

Montage des volumes. Via `/etc/fstab`

```
/dev/data/pgdata /data/pgdata ext4 rw,discard,errors=remount-ro 0 1
/dev/data/pglog /data/pglog ext4 rw,discard,errors=remount-ro 0 1
/dev/data/backup /data/backup ext4 rw,discard,errors=remount-ro 0 1
```

`sudo mount /data/pgdata`

`sudo mount /data/pglog`

`sudo mount /data/backup`
